org.apache.storm.utils

## Class JCQueueMetrics

- java.lang.Object
- - org.apache.storm.utils.JCQueueMetrics

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class JCQueueMetrics
      extends Object
      implements Closeable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JCQueueMetrics(String metricNamePrefix, String topologyId, String componentId, int taskId, int port, StormMetricRegistry metricRegistry, org.apache.storm.shade.org.jctools.queues.MpscArrayQueue<Object> receiveQ, org.apache.storm.shade.org.jctools.queues.MpscUnboundedArrayQueue<Object> overflowQ)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `notifyArrivals(long counts)`
    `void` | `notifyDroppedMsg()`
    `void` | `notifyInsertFailure()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JCQueueMetrics

          public JCQueueMetrics(String metricNamePrefix,
                                String topologyId,
                                String componentId,
                                int taskId,
                                int port,
                                StormMetricRegistry metricRegistry,
                                org.apache.storm.shade.org.jctools.queues.MpscArrayQueue<Object> receiveQ,
                                org.apache.storm.shade.org.jctools.queues.MpscUnboundedArrayQueue<Object> overflowQ)

  - ### Method Detail

    - #### notifyArrivals

          public void notifyArrivals(long counts)

    - #### notifyInsertFailure

          public void notifyInsertFailure()

    - #### notifyDroppedMsg

          public void notifyDroppedMsg()

    - #### close

          public void close()

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`

Copyright © 2021 The Apache Software Foundation. All rights reserved.